Bug 216838 - math/maxima: Update to 5.39.0
Summary: math/maxima: Update to 5.39.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-06 01:27 UTC by Yuri Victorovich
Modified: 2017-04-04 12:34 UTC (History)
1 user (show)

See Also:


Attachments
patch (9.34 KB, patch)
2017-02-06 01:27 UTC, Yuri Victorovich
no flags Details | Diff
patch (9.70 KB, patch)
2017-02-10 18:08 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-02-06 01:27:53 UTC
Created attachment 179662 [details]
patch

Passes poudriere.
Comment 1 Wen Heping freebsd_committer 2017-02-09 00:48:36 UTC
The build failed on 10.3-i386, part of build log:

gmake[3]: Entering directory '/wrkdirs/usr/ports/math/maxima/work/maxima-5.39.0/doc/info'
gmake[4]: Entering directory '/wrkdirs/usr/ports/math/maxima/work/maxima-5.39.0/doc/info'
makeinfo --split-size=1000000 ../../doc/info/maxima.texi
sh extract_categories.sh maxima
../../doc/info//errormessages.texi:296: `Warning messages' has no Up field (perhaps incorrect sectioning?).
../../doc/info//errormessages.texi:162: Prev field of node `Operators of arguments must all be the same' not pointed to.
../../doc/info//errormessages.texi:152: This node (Only symbols can be bound) has the bad Next.
../../doc/info//errormessages.texi:152: Next field of node `Only symbols can be bound' not pointed to (perhaps incorrect sectioning?).
../../doc/info//errormessages.texi:204: This node (out of memory) has the bad Prev.
../../doc/info//errormessages.texi:8: `Error messages' has no Up field (perhaps incorrect sectioning?).
makeinfo: Removing output file `/wrkdirs/usr/ports/math/maxima/work/maxima-5.39.0/doc/info/maxima.info' due to errors; use --force to preserve.
gmake[4]: *** [Makefile:1533: maxima.info] Error 1
gmake[4]: *** Waiting for unfinished jobs....
SKIP OVER maxima.texi
extract_categories.sh: python: not found
+ perl /wrkdirs/usr/ports/math/maxima/work/maxima-5.39.0/doc/info/texi2html --lang=en --output=maxima_singlepage.html --css-include=/wrkdirs/usr/ports/math/maxima/work/maxima-5.39.0/doc/info/manual.css --init-file /wrkdirs/usr/ports/math/maxima/work/maxima-5.39.0/doc/info/texi2html.init maxima.texi
*** Can't find Category-*.texi, skipping (l. 9)
*** Undefined index command: fnindex (in ./Help.texi l. 140)
*** Duplicate node for anchor found: Item: labels (in ./Command.texi l. 616)
*** Duplicate node for anchor found: Item: grind (in ./Command.texi l. 1532)
*** Undefined index command: fnindex (in ./Lists.texi l. 62)
*** Undefined index command: fnindex (in ./Lists.texi l. 63)
*** Undefined index command: fnindex (in ./Operators.texi l. 195)
*** Undefined index command: fnindex (in ./Operators.texi l. 196)
*** Undefined index command: fnindex (in ./Operators.texi l. 197)
*** Undefined index command: fnindex (in ./Operators.texi l. 198)
*** Undefined index command: fnindex (in ./Operators.texi l. 199)
*** Undefined index command: fnindex (in ./Operators.texi l. 528)
*** Undefined index command: fnindex (in ./Operators.texi l. 529)
*** Undefined index command: fnindex (in ./Operators.texi l. 530)
*** Undefined index command: fnindex (in ./Operators.texi l. 531)
*** Duplicate node for anchor found: Item: nary (in ./Simplification.texi l. 971)
*** Duplicate node for anchor found: Item: box (in ./Plotting.texi l. 1163)
.....

wen
Comment 2 Yuri Victorovich freebsd_committer 2017-02-10 17:53:14 UTC
I get this too.

In 10.3 makeinfo is in base (/usr/bin/makeinfo), and in 11 it comes from print/texinfo Must be a version mismatch.
Comment 3 Yuri Victorovich freebsd_committer 2017-02-10 18:08:53 UTC
Created attachment 179846 [details]
patch

Fixed the problem on 10.3.
Comment 4 commit-hook freebsd_committer 2017-04-04 12:32:58 UTC
A commit references this bug:

Author: wen
Date: Tue Apr  4 12:32:28 UTC 2017
New revision: 437728
URL: https://svnweb.freebsd.org/changeset/ports/437728

Log:
  - Update to 5.39.0

  PR:		216838
  Submitted by:	yuri@rawbw.com

Changes:
  head/math/maxima/Makefile
  head/math/maxima/distinfo
  head/math/maxima/pkg-plist